Subject: bug#79036: [PATCH] Fix pdb tracking for remote filenames

From: Liu Hui <[email-masked]>
Date: Mon, 4 Aug 2025 19:51:54 +0800

On Sun, Aug 3, 2025 at 7:47 PM kobarity <[email-masked]> wrote:

> Eli Zaretskii wrote:
> >
> > > From: Liu Hui <[email-masked]>
> > > Date: Thu, 24 Jul 2025 08:45:54 +0800
> > > Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> > >
> > > On Wed, Jul 23, 2025 at 11:08 PM kobarity <[email-masked]> wrote:
> > >
> > > > > For non-file buffers, could it return buffer name instead of <string>?
> > > > > e.g. #<buffer NAME> or #<NAME> where NAME may need to be quoted. Then
> > > > > python-pdbtrack-set-tracked-buffer can find it by (get-buffer-create
> > > > > "NAME").
> > > >
> > > > That might be a good idea.  Why is `get-buffer-create' is necessary
> > > > rather than `get-buffer'?
> > >
> > > Thanks for pointing it out. get-buffer should be used here.
> >
> > So can we please have an updated patch for this?
>
> Since it is an improvement to add a new feature and not a fix for
> #79036, I think it would be better to separate the patches.
>
> Attached is my proposed patch to fix #79036.

Hi,

I find python-shell-send-file has the same issue as
python-shell-send-string, and
needs to use correct file-name too.